import { PropType, defineComponent, ref, toRefs, watch } from 'vue';
import styles from './index.module.less';
import { NModal } from 'naive-ui';

export default defineComponent({
  name: 'preview-window',
  props: {
    show: {
      type: Boolean,
      default: false
    },
    params: {
      type: Object as PropType<any>,
      default: () => ({})
    }
  },
  setup(props) {
    // const show = ref(false);
    const { show, params } = toRefs(props);

    return () => (
      <NModal
        v-model:show={show.value}
        class={styles.previewWindow}
        showIcon={false}
        displayDirective="show"></NModal>
    );
  }
});
